VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "mscomctl.ocx"
Object = "{EAB22AC0-30C1-11CF-A7EB-0000C05BAE0B}#1.1#0"; "shdocvw.dll"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Form1 
   Caption         =   "History Viewer"
   ClientHeight    =   5895
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   10830
   LinkTopic       =   "Form1"
   ScaleHeight     =   5895
   ScaleWidth      =   10830
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog cdl 
      Left            =   5160
      Top             =   2760
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
   End
   Begin VB.Timer Timer1 
      Interval        =   100
      Left            =   4800
      Top             =   2760
   End
   Begin SHDocVwCtl.WebBrowser wbrWeb 
      Height          =   5895
      Left            =   2640
      TabIndex        =   1
      Top             =   0
      Width           =   8175
      ExtentX         =   14420
      ExtentY         =   10398
      ViewMode        =   0
      Offline         =   0
      Silent          =   0
      RegisterAsBrowser=   0
      RegisterAsDropTarget=   1
      AutoArrange     =   0   'False
      NoClientEdge    =   0   'False
      AlignLeft       =   0   'False
      NoWebView       =   0   'False
      HideFileNames   =   0   'False
      SingleClick     =   0   'False
      SingleSelection =   0   'False
      NoFolders       =   0   'False
      Transparent     =   0   'False
      ViewID          =   "{0057D0E0-3573-11CF-AE69-08002B2E1262}"
      Location        =   "http:///"
   End
   Begin MSComctlLib.TreeView tvwTree 
      Height          =   5895
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   2655
      _ExtentX        =   4683
      _ExtentY        =   10398
      _Version        =   393217
      Indentation     =   176
      LabelEdit       =   1
      LineStyle       =   1
      Sorted          =   -1  'True
      Style           =   7
      SingleSel       =   -1  'True
      Appearance      =   1
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileSave 
         Caption         =   "Save As..."
         Shortcut        =   ^S
      End
      Begin VB.Menu cmdFileMove 
         Caption         =   "Move File..."
      End
      Begin VB.Menu mnuFileSep 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu mnuArrange 
      Caption         =   "&Arrange"
      Begin VB.Menu mnuArrangeByDate 
         Caption         =   "By Date"
      End
      Begin VB.Menu mnuArrangeByUser 
         Caption         =   "By Local User"
      End
      Begin VB.Menu mnuArrangeByReceiver 
         Caption         =   "By Remote User"
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "&Edit"
      Begin VB.Menu mnuEditFind 
         Caption         =   "Find..."
         Shortcut        =   ^F
      End
      Begin VB.Menu mnuEditExpand 
         Caption         =   "Expand All"
         Shortcut        =   {F2}
      End
      Begin VB.Menu mnuEditCollapse 
         Caption         =   "Collapse All"
         Shortcut        =   {F3}
      End
      Begin VB.Menu mnuEditInvert 
         Caption         =   "Invert All"
         Shortcut        =   {F4}
      End
      Begin VB.Menu mnuEditRefresh 
         Caption         =   "Refresh List"
         Shortcut        =   {F5}
      End
      Begin VB.Menu sep 
         Caption         =   "-"
      End
      Begin VB.Menu mnuPopDelete 
         Caption         =   "Delete"
         Shortcut        =   {DEL}
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "About"
         Shortcut        =   {F1}
      End
   End
   Begin VB.Menu mnuPop 
      Caption         =   "Pop"
      Visible         =   0   'False
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim fso As New Scripting.FileSystemObject, CurFile As String, Arrange As String

Private Sub cmdFileMove_Click()
On Error GoTo errs:
cdl.Filter = "Web Page|*.htm;*.html"
cdl.FileName = CurFile
cdl.ShowSave
fso.MoveFile CurFile, cdl.FileName

Dim Node As Node
For Each Node In tvwTree.Nodes
    If Node.Key = CurFile Then tvwTree.Nodes.Remove Node.Index: Exit For
Next

Exit Sub
errs:
    Select Case Err.Number
    Case 5
        MsgBox "Save failed. Make sure you have selected a history file and entered a valid filename.", vbOKOnly + vbExclamation, "Error"
    Case 32755
    Case Else
        MsgBox "Error #" & Err.Number & " - " & Err.Description, vbOKOnly + vbExclamation, "Error"
    End Select
End Sub

Private Sub Form_Load()
wbrWeb.Navigate AimPlusPath & "\first.html"
Arrange = "By User"
mnuArrangeByDate.Enabled = True
mnuArrangeByReceiver.Enabled = True
mnuArrangeByUser.Enabled = False
End Sub

Private Sub Form_Resize()
On Error Resume Next
tvwTree.Height = Me.Height - (6300 - 5895) - 250
wbrWeb.Height = tvwTree.Height
wbrWeb.Width = Me.Width - 2740
End Sub

Private Sub Form_Unload(Cancel As Integer)
 For Each Form In Forms
 Unload Form
 Next
End Sub

Private Sub mnuArrangeByDate_Click()
Arrange = "By Date"
mnuArrangeByDate.Enabled = False
mnuArrangeByUser.Enabled = True
mnuArrangeByReceiver.Enabled = True
Call Timer1_Timer
End Sub

Private Sub mnuArrangeByReceiver_Click()
Arrange = "By Receiver"
mnuArrangeByDate.Enabled = True
mnuArrangeByUser.Enabled = True
mnuArrangeByReceiver.Enabled = False
Call Timer1_Timer
End Sub

Private Sub mnuArrangeByUser_Click()
Arrange = "By User"
mnuArrangeByDate.Enabled = True
mnuArrangeByUser.Enabled = False
mnuArrangeByReceiver.Enabled = False
Call Timer1_Timer
End Sub

Private Sub mnuEditCollapse_Click()
Dim Node As Node
For Each Node In tvwTree.Nodes
    Node.Expanded = False
Next
End Sub

Private Sub mnuEditExpand_Click()
Dim Node As Node
For Each Node In tvwTree.Nodes
    Node.Expanded = True
Next
End Sub

Private Sub mnuEditFind_Click()
frmFind.Show
End Sub

Private Sub mnuEditInvert_Click()
Dim Node As Node
For Each Node In tvwTree.Nodes
    Node.Expanded = Not Node.Expanded
Next
End Sub

Private Sub mnuEditRefresh_Click()
tvwTree.Nodes.Clear
Call Timer1_Timer
End Sub

Private Sub mnuFileExit_Click()
Unload Me
End Sub

Private Sub mnuFileSave_Click()
On Error GoTo errs:
cdl.Filter = "Web Page|*.htm;*.html"
cdl.FileName = CurFile
cdl.ShowSave
fso.CopyFile CurFile, cdl.FileName
Exit Sub
errs:
    Select Case Err.Number
    Case 5
        MsgBox "Save failed. Make sure you have selected a history file and entered a valid filename.", vbOKOnly + vbExclamation, "Error"
    Case 32755
    Case Else
        MsgBox "Error #" & Err.Number & " - " & Err.Description, vbOKOnly + vbExclamation, "Error"
    End Select
End Sub

Private Sub mnuHelpAbout_Click()
    frmAbout.Show vbModal
End Sub

Private Sub mnuPopDelete_Click()
If Arrange = "By User" Then
    If MsgBox("Delete """ & tvwTree.SelectedItem.FullPath & """ and all subitems?", vbYesNo + vbExclamation, "Delete") = vbYes Then
        If fso.FileExists(tvwTree.SelectedItem.Key) Then
            fso.DeleteFile tvwTree.SelectedItem.Key, True
        Else
            fso.DeleteFolder tvwTree.SelectedItem.Key, True
        End If
        tvwTree.Nodes.Remove tvwTree.SelectedItem.Index
    End If
ElseIf Arrange = "By Date" Then
    'MsgBox "Delete function doesn't work in ""By Date"" mode.", vbOKOnly + vbExclamation, "Oops..."
    
        If Not fso.FileExists(tvwTree.SelectedItem.Key) Then
            If MsgBox("Delete everything from """ & tvwTree.SelectedItem.FullPath & """?", vbYesNo + vbExclamation, "Delete") = vbYes Then
            Dim MyFolder As Folder, ToFolder As Folder, FromFolder As Folder, fl As File
            Set MyFolder = fso.GetFolder(LogDir)
            For Each ToFolder In MyFolder.SubFolders
                For Each FromFolder In ToFolder.SubFolders
                    For Each fl In FromFolder.Files
                        If LCase(Left(fl.Name, InStr(fl.Name, ".") - 1)) = LCase(tvwTree.SelectedItem.Text) Then
                            fl.Delete True
                        End If
                    Next
                Next
            Next
            tvwTree.Nodes.Remove tvwTree.SelectedItem.Index
            End If
        Else
            If MsgBox("Delete conversation """ & tvwTree.SelectedItem.Text & """ from """ & tvwTree.SelectedItem.Parent.Text & """?", vbYesNo + vbExclamation, "Delete") = vbYes Then
            fso.DeleteFile tvwTree.SelectedItem.Key, True
            tvwTree.Nodes.Remove tvwTree.SelectedItem.Index
            End If
        End If
    
End If
End Sub

Private Sub Timer1_Timer()
On Error Resume Next
Dim MyFolder As Folder, SubFolder As Folder, SubSubFolder As Folder, fl As File
Dim nod As Node
Set MyFolder = fso.GetFolder(LogDir)
n% = 0
o% = 0
p% = 0
q% = 0
Me.Enabled = False
tvwTree.Nodes.Clear
For Each SubFolder In MyFolder.SubFolders
    For Each SubSubFolder In SubFolder.SubFolders
        For Each fl In SubSubFolder.Files
            n% = n% + 1
        Next
        p% = p% + 1
    Next
Next

If Arrange = "By User" Then

    mnuPopDelete.Enabled = True
    frmSplash.Show , Me
    For Each SubFolder In MyFolder.SubFolders
        Set nod = tvwTree.Nodes.Add(, , SubFolder.ParentFolder & "\" & SubFolder.Name, SubFolder.Name)
        For Each SubSubFolder In SubFolder.SubFolders
            Set nod = tvwTree.Nodes.Add(nod.Key, tvwChild, nod.Key & "\" & SubSubFolder.Name, SubSubFolder.Name)
            
            For Each fl In SubSubFolder.Files
                Set nod = tvwTree.Nodes.Add(nod.Key, tvwChild, nod.Key & "\" & fl.Name, Left(fl.Name, InStr(fl.Name, ".") - 1))
                Set nod = nod.Parent
                o = o + 1
                frmSplash.pb.Value = (o / n) * 100
            Next
            
            Set nod = nod.Parent
            DoEvents
        Next
    Next

ElseIf Arrange = "By Date" Then

    mnuPopDelete.Enabled = True
    frmSplash.Show , Me
    For Each SubFolder In MyFolder.SubFolders
        For Each SubSubFolder In SubFolder.SubFolders
            For Each fl In SubSubFolder.Files
                Set nod = tvwTree.Nodes.Add(, , fl.Name, Left(fl.Name, InStr(fl.Name, ".") - 1))
                o = o + 1
                frmSplash.pb.Value = (o / n) * 50
            Next
            DoEvents
        Next
    Next

    For Each SubFolder In MyFolder.SubFolders
        For Each SubSubFolder In SubFolder.SubFolders
            For Each fl In SubSubFolder.Files
                Set nod = tvwTree.Nodes.Add(fl.Name, tvwChild, SubSubFolder.Path & "\" & fl.Name, SubFolder.Name & " --> " & SubSubFolder.Name)
            Next
            q = q + 1
            frmSplash.pb.Value = ((o / n) * 50) + ((q / p) * 50)
            DoEvents
        Next
    Next

ElseIf Arrange = "By Receiver" Then
    
    mnuPopDelete.Enabled = False
    frmSplash.Show , Me
    For Each SubFolder In MyFolder.SubFolders
        For Each SubSubFolder In SubFolder.SubFolders
            tvwTree.Nodes.Add , , SubSubFolder.Name, SubSubFolder.Name
            q = q + 1
            frmSplash.pb.Value = (q / p) * 50
            DoEvents
        Next
    Next

    For Each SubFolder In MyFolder.SubFolders
        For Each SubSubFolder In SubFolder.SubFolders
            For Each fl In SubSubFolder.Files
                Set nod = tvwTree.Nodes.Add(SubSubFolder.Name, tvwChild, SubSubFolder.Path & "\" & SubFolder.Name, SubFolder.Name)
                Set nod = tvwTree.Nodes.Add(SubSubFolder.Path & "\" & SubFolder.Name, tvwChild, SubSubFolder.Path & "\" & fl.Name, Left(fl.Name, InStr(fl.Name, ".") - 1))
                Set nod = Nothing
                o = o + 1
                frmSplash.pb.Value = ((o / n) * 50) + ((q / p) * 50)
            Next
            DoEvents
        Next
    Next

End If
frmSplash.Hide
Me.Enabled = True
Me.SetFocus
Me.Show
Timer1.Enabled = False
tvwTree.Nodes(1).Expanded = False
End Sub

Private Sub tvwTree_NodeClick(ByVal Node As MSComctlLib.Node)

    If InStr(Node.Key, ".") > 0 Then
    If fso.FileExists(Node.Key) Then
        wbrWeb.Navigate Node.Key
        CurFile = Node.Key
    ElseIf Arrange = "By User" Then
        tvwTree.Nodes.Remove Node.Index
    End If
    End If

End Sub
